com.threerings.whirled.zone.peer.server

## Class ZoneNodeObject

- java.lang.Object
- - com.threerings.presents.dobj.DObject
  - - com.threerings.presents.peer.data.NodeObject
    - - com.threerings.crowd.peer.data.CrowdNodeObject
      - - com.threerings.whirled.zone.peer.server.ZoneNodeObject

All Implemented Interfaces:
  com.threerings.io.Streamable

    public class ZoneNodeObject
    extends com.threerings.crowd.peer.data.CrowdNodeObject

### Nested Class Summary

### Nested classes/interfaces inherited from class com.threerings.presents.peer.data.NodeObject

`com.threerings.presents.peer.data.NodeObject.CacheData, com.threerings.presents.peer.data.NodeObject.Lock`

### Nested classes/interfaces inherited from interface com.threerings.io.Streamable

`com.threerings.io.Streamable.Closure`

### Field Summary

Fields
`static String` `HOSTED_ZONES` The field name of the `hostedZones` field.
`com.threerings.presents.dobj.DSet<HostedZone>` `hostedZones` Contains info on all zones hosted by this server.

### Fields inherited from class com.threerings.crowd.peer.data.CrowdNodeObject

`CROWD_PEER_SERVICE, crowdPeerService, HOSTED_CHANNELS, hostedChannels`

### Fields inherited from class com.threerings.presents.peer.data.NodeObject

`ACQUIRING_LOCK, acquiringLock, BOOT_STAMP, bootStamp, CACHE_DATA, cacheData, clients, CLIENTS, locks, LOCKS, NODE_NAME, nodeName, PEER_SERVICE, peerService, RELEASING_LOCK, releasingLock`

### Constructor Summary

Constructors
Constructor and Description
`ZoneNodeObject()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToHostedZones(HostedZone elem)` Requests that the specified entry be added to the `hostedZones` set.
`void` `removeFromHostedZones(Comparable<?> key)` Requests that the entry matching the supplied key be removed from the `hostedZones` set.
`void` `setHostedZones(com.threerings.presents.dobj.DSet<HostedZone> value)` Requests that the `hostedZones` field be set to the specified value.
`void` `updateHostedZones(HostedZone elem)` Requests that the specified entry be updated in the `hostedZones` set.

### Methods inherited from class com.threerings.crowd.peer.data.CrowdNodeObject

`addToHostedChannels, removeFromHostedChannels, setCrowdPeerService, setHostedChannels, updateHostedChannels`

### Methods inherited from class com.threerings.presents.peer.data.NodeObject

`addToClients, addToLocks, removeFromClients, removeFromLocks, setAcquiringLock, setBootStamp, setCacheData, setClients, setLocks, setNodeName, setPeerService, setReleasingLock, updateClients, updateLocks`

### Methods inherited from class com.threerings.presents.dobj.DObject

`acquireLock, addListener, addListener, addSubscriber, addToSet, cancelTransaction, changeAttribute, checkPermissions, checkPermissions, commitTransaction, destroy, getAccessController, getAttribute, getLocal, getLocals, getManager, getOid, getSet, inTransaction, isActive, notifyListeners, notifyProxies, postEvent, postMessage, postMessage, releaseLock, removeFromSet, removeListener, removeSubscriber, setAccessController, setAttribute, setDestroyOnLastSubscriberRemoved, setLocal, setManager, setOid, startTransaction, toString, updateSet, which`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### HOSTED_ZONES

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public static final String HOSTED_ZONES

The field name of the `hostedZones` field.

See Also:
  Constant Field Values

#### hostedZones

    public com.threerings.presents.dobj.DSet<HostedZone> hostedZones

Contains info on all zones hosted by this server.

### Constructor Detail

#### ZoneNodeObject

    public ZoneNodeObject()

### Method Detail

#### addToHostedZones

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public void addToHostedZones(HostedZone elem)

Requests that the specified entry be added to the `hostedZones` set. The set will not change until the event is actually propagated through the system.

#### removeFromHostedZones

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public void removeFromHostedZones(Comparable<?> key)

Requests that the entry matching the supplied key be removed from the `hostedZones` set. The set will not change until the event is actually propagated through the system.

#### updateHostedZones

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public void updateHostedZones(HostedZone elem)

Requests that the specified entry be updated in the `hostedZones` set. The set will not change until the event is actually propagated through the system.

#### setHostedZones

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public void setHostedZones(com.threerings.presents.dobj.DSet<HostedZone> value)

Requests that the `hostedZones` field be set to the specified value. Generally one only adds, updates and removes entries of a distributed set, but certain situations call for a complete replacement of the set value. The local value will be updated immediately and an event will be propagated through the system to notify all listeners that the attribute did change. Proxied copies of this object (on clients) will apply the value change when they received the attribute changed notification.